Bug 240312 - x11-wm/ede: Add sed=gsed
Summary: x11-wm/ede: Add sed=gsed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords: dogfood
Depends on:
Blocks: 229925
  Show dependency treegraph
 
Reported: 2019-09-03 17:38 UTC by Kyle Evans
Modified: 2019-09-06 21:20 UTC (History)
0 users

See Also:


Attachments
svn(1) diff against the ports tree (701 bytes, patch)
2019-09-03 17:38 UTC, Kyle Evans
koobs: maintainer-approval+
koobs: maintainer-approval+
Details | Diff
svn(1) diff against the ports tree (681 bytes, patch)
2019-09-04 02:50 UTC, Kyle Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2019-09-03 17:38:48 UTC
Created attachment 207155 [details]
svn(1) diff against the ports tree

Two problems lie in ${EDELIB_WRKSRC}/sslib/gen-c-string.sh sed usage:

- \s is a GNU extension, this is trivially replaced with [[:space:]], HOWEVER:
- The next expression uses \t and expects a tab, but this will not happen with our sed.

\s is caught by bug #229925 that forbids escaping ordinary characters that have no extra meaning to lessen the stress of later adding special behavior to some of these escape sequences. \t, however, will just silently do the wrong thing.

Switch this over to gsed for now; a pass will be done later to check out every port with BUILD_DEPENDS containing gsed to evaluate whether we're ready for them to use base sed or not.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-04 01:52:05 UTC
^Triage: Reporter is committer, assign accordingly
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-04 01:52:21 UTC
Comment on attachment 207155 [details]
svn(1) diff against the ports tree

Approved by: portmgr (blanket: unmaintained port)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-04 01:52:51 UTC
Comment on attachment 207155 [details]
svn(1) diff against the ports tree

If the changes pass QA (portlint, poudriere)

Approved by: koobs (ports)
Comment 4 Kyle Evans freebsd_committer 2019-09-04 02:50:39 UTC
Created attachment 207176 [details]
svn(1) diff against the ports tree

New proposed commit message:

Two problems lie in ${EDELIB_WRKSRC}/sslib/gen-c-string.sh sed usage:

- \s is a GNU extension, this is trivially replaced with [[:space:]], HOWEVER:
- The next expression uses \t and expects a tab, but this will not happen with our sed.

\s is caught by bug #229925 that forbids escaping ordinary characters that have no extra meaning to lessen the stress of later adding special behavior to some of these escape sequences. \t, however, will just silently do the wrong thing.

Switch this over to gsed for now; a pass will be done later to check out every port with BUILD_DEPENDS containing gsed to evaluate whether we're ready for them to use base sed or not.

Spacing has been adjusted to move SHEBANG_FILES into a new block with BINARY_ALIAS to make portlint a little less angry.
Comment 5 Kyle Evans freebsd_committer 2019-09-04 19:16:55 UTC
Two problems lie in ${EDELIB_WRKSRC}/sslib/gen-c-string.sh sed usage:

- \s is a GNU extension, this is trivially replaced with [[:space:]], HOWEVER:
- The next expression uses \t and expects a tab, but this will not happen with our sed.

\s is caught by bug #229925 that forbids escaping ordinary characters that have no extra meaning to lessen the stress of later adding special behavior to some of these escape sequences. \t, however, will just silently do the wrong thing.

Switch this over to gsed for now; a pass will be done later to check out every port with BUILD_DEPENDS containing gsed to evaluate whether we're ready for them to use base sed or not.

QA:
 * portlint: OK (minor warnings that should be addressed separately)
 * testport: OK (poudriere: 13.0-CURRENT and 12.0-RELEASE, amd64)
 * diffoscope: OK (only minor metadata changes to package)
Comment 6 commit-hook freebsd_committer 2019-09-06 21:19:36 UTC
A commit references this bug:

Author: kevans
Date: Fri Sep  6 21:18:49 UTC 2019
New revision: 511364
URL: https://svnweb.freebsd.org/changeset/ports/511364

Log:
  x11-wm/ede: Add sed=gsed

  Two problems lie in ${EDELIB_WRKSRC}/sslib/gen-c-string.sh sed usage:

  - \s is a GNU extension, this is trivially replaced with [[:space:]],
    HOWEVER:
  - The next expression uses \t and expects a tab, but this will not happen
    with our sed.

  \s was caught by the patch in bug #229925 that forbids escaping ordinary
  characters that have no extra meaning to lessen the stress of later adding
  special behavior to some of these escape sequences. \t, however, will just
  silently do the wrong thing.

  Switch this over to gsed for now; a pass will be done later to check out
  every port with BUILD_DEPENDS containing gsed to evaluate whether we're
  ready for them to use base sed or not.

  QA:
   * portlint: OK (minor warnings that should be addressed separately)
   * testport: OK (poudriere: 13.0-CURRENT and 12.0-RELEASE, amd64)
   * diffoscope: OK (only minor metadata changes to package)

  PR:		240312
  Approved by:	koobs (ports)

Changes:
  head/x11-wm/ede/Makefile